import{s as Je,o as Ge}from"../chunks/scheduler.d6170356.js";import{S as Se,i as Ze,g as i,s as a,r as V,A as Ee,h as l,f as s,c as o,j as Fe,u as q,x as r,k as Z,y as Re,a as n,v as F,d as J,t as G,w as S,m as Ye,n as De}from"../chunks/index.fcd4cc08.js";import{H as R,g as Qe}from"../chunks/Heading.1debb9c4.js";import{T as Be}from"../chunks/Tip.b09c67cf.js";import{C as Ne}from"../chunks/CodeBlock.7b16bdef.js";function Xe(Y){let c;return{c(){c=Ye("Try not to leak your token! Though you can always rotate it, anyone will be able to read or write your private repos in the meantime which is 💩")},l(u){c=De(u,"Try not to leak your token! Though you can always rotate it, anyone will be able to read or write your private repos in the meantime which is 💩")},m(u,h){n(u,c,h)},d(u){u&&s(c)}}}function Oe(Y){let c,u,h,D,k,Q,w,B,v,ye='User Access Tokens are the preferred way to authenticate an application or notebook to Hugging Face services. You can manage your access tokens in your <a href="https://huggingface.co/settings/tokens" rel="nofollow">settings</a>.',N,p,be='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/User-Access-Token.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/User-Access-Token-dark.png"/>',X,y,$e="Access tokens allow applications and notebooks to perform specific actions specified by the scope of the roles shown in the following:",O,b,Te="<li><p><code>read</code>: tokens with this role can only be used to provide read access to repositories you could read. That includes public and private repositories that you, or an organization you’re a member of, own. Use this role if you only need to read content from the Hugging Face Hub (e.g. when downloading private models or doing inference).</p></li> <li><p><code>write</code>: tokens with this role additionally grant write access to the repositories you have write access to. Use this token if you need to create or push content to a repository (e.g., when training a model or modifying a model card).</p></li>",K,$,xe="Note that Organization API Tokens have been deprecated:",ee,g,Ce='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/API-token.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/API-token_dark.png"/>',te,T,_e="If you are a member of an organization with read/write/admin role, then your User Access Tokens will be able to read/write the resources according to the token permission (read/write) and organization membership (read/write/admin).",se,x,ne,C,He='To create an access token, go to your settings, then click on the <a href="https://huggingface.co/settings/tokens" rel="nofollow">Access Tokens tab</a>. Click on the <strong>New token</strong> button to create a new User Access Token.',ae,m,Me='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/new-token.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/new-token-dark.png"/>',oe,_,Ue="Select a role and a name for your token and voilà - you’re ready to go!",ie,H,Le="You can delete and refresh User Access Tokens by clicking on the <strong>Manage</strong> button.",le,d,Ae='<img class="block dark:hidden" width="350" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/delete-token.png"/> <img class="hidden dark:block" width="350" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/delete-token-dark.png"/>',re,M,ce,U,Pe="There are plenty of ways to use a User Access Token to access the Hugging Face Hub, granting you the flexibility you need to build awesome apps on top of it.",ue,L,je="User Access Tokens can be:",pe,A,Ie='<li>used <strong>in place of a password</strong> to access the Hugging Face Hub with git or with basic authentication.</li> <li>passed as a <strong>bearer token</strong> when calling the <a href="https://huggingface.co/inference-api" rel="nofollow">Inference API</a>.</li> <li>used in the Hugging Face Python libraries, such as <code>transformers</code> or <code>datasets</code>:</li>',ge,P,me,f,de,j,fe,I,ze="We recommend you create one access token per app or usage. For instance, you could have a separate token for:",he,z,We="<li><p>A local machine.</p></li> <li><p>A Colab notebook.</p></li> <li><p>An awesome custom inference server.</p> <p>This way, you can invalidate one token without impacting your other usages.</p></li>",ke,W,Ve="We also recommend only giving the appropriate role to each token you create. If you only need read access (e.g., loading a dataset with the <code>datasets</code> library or retrieving the weights of a model), only give your access token the <code>read</code> role.",we,E,ve;return k=new R({props:{title:"User access tokens",local:"user-access-tokens",headingTag:"h1"}}),w=new R({props:{title:"What are User Access Tokens?",local:"what-are-user-access-tokens",headingTag:"h2"}}),x=new R({props:{title:"How to manage User Access Tokens?",local:"how-to-manage-user-access-tokens",headingTag:"h2"}}),M=new R({props:{title:"How to use User Access Tokens?",local:"how-to-use-user-access-tokens",headingTag:"h2"}}),P=new Ne({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbCUwQSUwQWFjY2Vzc190b2tlbiUyMCUzRCUyMCUyMmhmXy4uLiUyMiUwQSUwQW1vZGVsJTIwJTNEJTIwQXV0b01vZGVsLmZyb21fcHJldHJhaW5lZCglMjJwcml2YXRlJTJGbW9kZWwlMjIlMkMlMjB0b2tlbiUzRGFjY2Vzc190b2tlbik=",highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModel

access_token = <span class="hljs-string">&quot;hf_...&quot;</span>

model = AutoModel.from_pretrained(<span class="hljs-string">&quot;private/model&quot;</span>, token=access_token)`,wrap:!1}}),f=new Be({props:{warning:!0,$$slots:{default:[Xe]},$$scope:{ctx:Y}}}),j=new R({props:{title:"Best practices",local:"best-practices",headingTag:"h3"}}),{c(){c=i("meta"),u=a(),h=i("p"),D=a(),V(k.$$.fragment),Q=a(),V(w.$$.fragment),B=a(),v=i("p"),v.innerHTML=ye,N=a(),p=i("div"),p.innerHTML=be,X=a(),y=i("p"),y.textContent=$e,O=a(),b=i("ul"),b.innerHTML=Te,K=a(),$=i("p"),$.textContent=xe,ee=a(),g=i("div"),g.innerHTML=Ce,te=a(),T=i("p"),T.textContent=_e,se=a(),V(x.$$.fragment),ne=a(),C=i("p"),C.innerHTML=He,ae=a(),m=i("div"),m.innerHTML=Me,oe=a(),_=i("p"),_.textContent=Ue,ie=a(),H=i("p"),H.innerHTML=Le,le=a(),d=i("div"),d.innerHTML=Ae,re=a(),V(M.$$.fragment),ce=a(),U=i("p"),U.textContent=Pe,ue=a(),L=i("p"),L.textContent=je,pe=a(),A=i("ul"),A.innerHTML=Ie,ge=a(),V(P.$$.fragment),me=a(),V(f.$$.fragment),de=a(),V(j.$$.fragment),fe=a(),I=i("p"),I.textContent=ze,he=a(),z=i("ul"),z.innerHTML=We,ke=a(),W=i("p"),W.innerHTML=Ve,we=a(),E=i("p"),this.h()},l(e){const t=Ee("svelte-u9bgzb",document.head);c=l(t,"META",{name:!0,content:!0}),t.forEach(s),u=o(e),h=l(e,"P",{}),Fe(h).forEach(s),D=o(e),q(k.$$.fragment,e),Q=o(e),q(w.$$.fragment,e),B=o(e),v=l(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-1lpg4j3"&&(v.innerHTML=ye),N=o(e),p=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(p)!=="svelte-9iguqn"&&(p.innerHTML=be),X=o(e),y=l(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-fuc7sv"&&(y.textContent=$e),O=o(e),b=l(e,"UL",{"data-svelte-h":!0}),r(b)!=="svelte-e68kl0"&&(b.innerHTML=Te),K=o(e),$=l(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-1pxygaj"&&($.textContent=xe),ee=o(e),g=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(g)!=="svelte-gq76od"&&(g.innerHTML=Ce),te=o(e),T=l(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1nsr785"&&(T.textContent=_e),se=o(e),q(x.$$.fragment,e),ne=o(e),C=l(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1a38hpz"&&(C.innerHTML=He),ae=o(e),m=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(m)!=="svelte-pyfz"&&(m.innerHTML=Me),oe=o(e),_=l(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-kqec1x"&&(_.textContent=Ue),ie=o(e),H=l(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-1scdfru"&&(H.innerHTML=Le),le=o(e),d=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(d)!=="svelte-1ajeu0h"&&(d.innerHTML=Ae),re=o(e),q(M.$$.fragment,e),ce=o(e),U=l(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-9v78f"&&(U.textContent=Pe),ue=o(e),L=l(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1q9uxvg"&&(L.textContent=je),pe=o(e),A=l(e,"UL",{"data-svelte-h":!0}),r(A)!=="svelte-1mmizg8"&&(A.innerHTML=Ie),ge=o(e),q(P.$$.fragment,e),me=o(e),q(f.$$.fragment,e),de=o(e),q(j.$$.fragment,e),fe=o(e),I=l(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-leohk0"&&(I.textContent=ze),he=o(e),z=l(e,"UL",{"data-svelte-h":!0}),r(z)!=="svelte-1im21ul"&&(z.innerHTML=We),ke=o(e),W=l(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-1wgdejt"&&(W.innerHTML=Ve),we=o(e),E=l(e,"P",{}),Fe(E).forEach(s),this.h()},h(){Z(c,"name","hf:doc:metadata"),Z(c,"content",Ke),Z(p,"class","flex justify-center"),Z(g,"class","flex justify-center"),Z(m,"class","flex justify-center"),Z(d,"class","flex justify-center")},m(e,t){Re(document.head,c),n(e,u,t),n(e,h,t),n(e,D,t),F(k,e,t),n(e,Q,t),F(w,e,t),n(e,B,t),n(e,v,t),n(e,N,t),n(e,p,t),n(e,X,t),n(e,y,t),n(e,O,t),n(e,b,t),n(e,K,t),n(e,$,t),n(e,ee,t),n(e,g,t),n(e,te,t),n(e,T,t),n(e,se,t),F(x,e,t),n(e,ne,t),n(e,C,t),n(e,ae,t),n(e,m,t),n(e,oe,t),n(e,_,t),n(e,ie,t),n(e,H,t),n(e,le,t),n(e,d,t),n(e,re,t),F(M,e,t),n(e,ce,t),n(e,U,t),n(e,ue,t),n(e,L,t),n(e,pe,t),n(e,A,t),n(e,ge,t),F(P,e,t),n(e,me,t),F(f,e,t),n(e,de,t),F(j,e,t),n(e,fe,t),n(e,I,t),n(e,he,t),n(e,z,t),n(e,ke,t),n(e,W,t),n(e,we,t),n(e,E,t),ve=!0},p(e,[t]){const qe={};t&2&&(qe.$$scope={dirty:t,ctx:e}),f.$set(qe)},i(e){ve||(J(k.$$.fragment,e),J(w.$$.fragment,e),J(x.$$.fragment,e),J(M.$$.fragment,e),J(P.$$.fragment,e),J(f.$$.fragment,e),J(j.$$.fragment,e),ve=!0)},o(e){G(k.$$.fragment,e),G(w.$$.fragment,e),G(x.$$.fragment,e),G(M.$$.fragment,e),G(P.$$.fragment,e),G(f.$$.fragment,e),G(j.$$.fragment,e),ve=!1},d(e){e&&(s(u),s(h),s(D),s(Q),s(B),s(v),s(N),s(p),s(X),s(y),s(O),s(b),s(K),s($),s(ee),s(g),s(te),s(T),s(se),s(ne),s(C),s(ae),s(m),s(oe),s(_),s(ie),s(H),s(le),s(d),s(re),s(ce),s(U),s(ue),s(L),s(pe),s(A),s(ge),s(me),s(de),s(fe),s(I),s(he),s(z),s(ke),s(W),s(we),s(E)),s(c),S(k,e),S(w,e),S(x,e),S(M,e),S(P,e),S(f,e),S(j,e)}}}const Ke='{"title":"User access tokens","local":"user-access-tokens","sections":[{"title":"What are User Access Tokens?","local":"what-are-user-access-tokens","sections":[],"depth":2},{"title":"How to manage User Access Tokens?","local":"how-to-manage-user-access-tokens","sections":[],"depth":2},{"title":"How to use User Access Tokens?","local":"how-to-use-user-access-tokens","sections":[{"title":"Best practices","local":"best-practices","sections":[],"depth":3}],"depth":2}],"depth":1}';function et(Y){return Ge(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Qe}),[]}class it extends Se{constructor(c){super(),Ze(this,c,et,Oe,Je,{})}}export{it as component};
